Scilab Function

iconvert - conversion au codage entier à 1,2 ou 4 octets

### Calling Sequence

  `y=iconvert(X,itype)`

### Parameters

- `X` : matrice de flottants ou d'entiers
- `y` : matrice d'entiers codés sur 1,2 ou 4 octets.

### Description

Convertit et stocke sous forme d'entiers à 1,2 ou 4 octets.

  itype=0 : renvoie des nombres à virgule flottante
  itype=1 : renvoie et stocke dans y des entiers int8 dans l'intervalle [-128,127]
  itype=11 : renvoie et stocke dans y des entiers uint8 dans l'intervalle [0,255]
  itype=2 : renvoie et stocke dans y des entiers int16 dans l'intervalle [-32768,32767]
  itype=12 : renvoie et stocke dans y des entiers uint16 dans l'intervalle [0, 65535]
  itype=4 : renvoie et stocke dans y des entiers int32 dans l'intervalle[-2147483648,2147483647]
  itype=14 : renvoie et stocke dans y des entiers uint32 dans l'intervalle [0, 4294967295]

### Examples

    b=int32([1 -120 127 312])
    y=iconvert(b,8)

### See Also

`double` , `inttype` ,